This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 11837 - remove Matroska example
Summary: remove Matroska example
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: LC1 HTML5 spec (show other bugs)
Version: unspecified
Hardware: PC Windows NT
: P2 normal
Target Milestone: ---
Assignee: Ian 'Hixie' Hickson
QA Contact: HTML WG Bugzilla archive list
URL: http://dev.w3.org/html5/spec/Overview...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-22 16:37 UTC by Julian Reschke
Modified: 2011-08-04 05:14 UTC (History)
8 users (show)

See Also:


Attachments

Description Julian Reschke 2011-01-22 16:37:40 UTC
Please remove the Matroska example; the type isn't registered, and the furthermore the specification (at <http://www.matroska.org/technical/specs/notes.html>) doesn't mention a "codecs" parameter.
Comment 1 Ian 'Hixie' Hickson 2011-02-16 09:06:27 UTC
Eric, Dave, foolip, any advice on this?
Comment 2 Philip J├Ągenstedt 2011-02-16 09:15:03 UTC
Since I assume no one is ever going to support Matroska in <video>, I wouldn't mind removing it.

I don't agree with the reason given though, I think we should have a video/webm example, even though that also isn't registered.
Comment 3 David Singer 2011-02-16 09:25:05 UTC
seems it would be easy to update the MIME statement on the indicated page to add "the codecs MIME parameter may be used, as in RFC 4285. For a Matroska file, the value is a list of CodecIDs, for example as in http://www.matroska.org/technical/specs/codecid/index.html"  Then we get both a useful example and documentation.
Comment 4 Philip J├Ągenstedt 2011-02-16 09:44:40 UTC
(In reply to comment #3)
> seems it would be easy to update the MIME statement on the indicated page to
> add "the codecs MIME parameter may be used, as in RFC 4285. For a Matroska
> file, the value is a list of CodecIDs, for example as in
> http://www.matroska.org/technical/specs/codecid/index.html"  Then we get both a
> useful example and documentation.

I don't think that would be appropriate. If someone ever wanted to support Matroska, it's unlikely they'd want to have codecs=V_THEORA instead of codecs=theora.

As a quickfix, just remove the example.
Comment 5 Ian 'Hixie' Hickson 2011-05-03 20:24:04 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given below
Rationale: Concurred with reporter's comments.
Comment 6 contributor 2011-05-03 20:25:01 UTC
Checked in as WHATWG revision r6057.
Check-in comment: matroska doesn't define this yet, apparently
http://html5.org/tools/web-apps-tracker?from=6056&to=6057
Comment 7 Michael[tm] Smith 2011-08-04 05:14:28 UTC
mass-move component to LC1